name: oto
description: Dart CLI runner for OTO CI/CD pipeline automation.
version: 1.0.0
publish_to: none
repository: https://git.toki-labs.com/toki/oto.git

environment:
  sdk: '>=3.8.0 <4.0.0'

# Add regular dependencies here.
dependencies:
  path: ^1.8.0
  http: ^1.2.0
  json_annotation: ^4.8.1
  resource_importer: ^0.2.0
  yaml: ^3.1.0
  color: ^3.0.0
  file_hasher: ^0.1.0+0
  cron: ^0.6.1
  xml: ^6.6.1
  archive: ^3.3.5
  ftpconnect: ^2.0.10
  proto_socket:
    path: ../../../proto-socket/dart
  dart_framework:
    git:
      url: https://git.toki-labs.com/toki/dart-app-core.git
      ref: master
  fixnum: ^1.1.1
  protobuf: ^6.0.0

dev_dependencies:
  lints: ^6.0.0
  test: ^1.24.9
  build_runner: ^2.1.4
  json_serializable: ^6.0.1

# resource_importer:
#   resources:
#     silentbatch: assets/bin/silentbatch.exe
